=== debian/control ===
Source: libyojson-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 libeasy-format-ocaml-dev,
 ocaml-findlib,
 libbiniou-ocaml-dev,
 ocaml-native-compilers,
 cppo

Package: libyojson-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A JSON parser and printer for OCaml
 A JSON parser and printer for OCaml.

Package: libyojson-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libyojson-ocaml (>= 1.1.6-2),
 libbiniou-ocaml-dev,
 libeasy-format-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-yojson
 The ocaml-yojson-devel package contains libraries and signature files
 for developing applications that use ocaml-yojson.
